Animation Mentor Support Center

Animation Mentor's Software and Hardware Requirements

Because we are an online school, you must have a computer with an Internet connection, a headset with microphone, and a webcam. Your computer must also be able to run the required versions of Maya. Below you can see a list of all the hardware and software requirements you will need:

Operating System Requirements (One of the following)

  • Microsoft Windows 7 (SP1), Windows 8, Windows 8.1, or Windows 10
  • Apple Mac OS X 10.8.5, 10.9.x, or 10.10.x (High Sierra and Mohave have known issues with Maya. If you have these versions of the Mac OS please downgrade to an older version to avoid technical difficulties)


Hardware Requirements

  • 4 GB of RAM (8GB recommended)
  • 64-bit Intel or AMD multi-core processor
  • Webcam
  • Headset with microphone
  • Three button mouse (a two button mouse will not work with Maya)
  • 4GB of free disk space for installing Maya

If you're unsure that your system meets the required hardware to run Maya, please make sure to look at the Maya system requirements as well as Autodesk's recommended system hardware page. (We recommend matching to the latest Maya version requirements. This is to ensure that when later versions are supported, your system will be able to run them) 


 

 Software Requirements


Newest version of Google Chrome or Mozilla Firefox - Required

As an online school, a solid internet browser is a requirement. We strongly recommend using Google Chrome or Mozilla Firefox as your school browser as they are the most robust and will run the school campus best.

Google Chrome 
Mozilla Firefox

Autodesk Maya - Required

Maya 2015, 2016, 2017, or 2018 (Keep in mind that AMP in Maya will not work in versions of Maya above 2015 so if you have Maya 2016 or later you will have to use the standalone AMP Content Navigator)

How to download Maya

Once Maya is installed, check for and download the latest Maya service pack from Autodesk for your copy of Maya to get all the latest updates and bug fixes

Winzip or 7Zip - Required (Mac users can use the built-in Mac zip tool)

A compression utility tool is essential to working with compressed zip files. Animation Mentor uses zip files in a few instances and being able to extract the files and content from the zips is necessary to work with them. We recommend Winzip or 7Zip however any compression utility tool can be used provided it works with .zip files.

WinZip
7Zip

Keyframe MP - Required

Keyframe MP is a video player you can use to scrub and playback your animation after playblasting it from Maya.

Keyframe MP Website

How to Install Keyframe MP

The Free version is all you will need for the course. The paid version includes audio scrubbing and more features which may be very useful for later acting and dialogue classes but is not required.

DaVinci Resolve - Required

DaVinci Resolve is free video editing software you will use to encode your assignment videos to match the video requirements for Animation Mentor. It will also allow you to combine videos for progress reels, demo reels, and other uses.

DaVinci Resolve Website

If you have other video editing software such as Premiere or similar, you may use those instead.

Image Editing Software - Required

GIMP is a free image editing program you will use to resize, edit, and work with images.

GIMP Website

If you have other image editing software such as Photoshop, Clip Studio, or similar, you may use those instead.

The AM Pipeline (AMP) - Required (Classes 01-06 & Creatures Workshops Only)

The AM Pipeline, or AMP, is a cloud-based file storage which provides a safe, secure place to work on your assignments. It also allows for mentors or support staff to easily look at and help you with your files.

Please make sure to read through and follow all of the tutorials provided in the AMP Orientation to have a better understanding of how to use AMP

Download Page

If you are having issues with the AM Menu, please check the AMP Knowledge Base for answers to many common problems.

NOTE: If you are not in the Character Animation Classes or the Creatures Workshops, you do not need AMP and it will not be available to you.



Connection Requirement

Broadband Internet: 1 Mbps download and 600 kbps upload or higher recommended* 

*Use Speedtest.net to check your Internet speed. Be sure to choose the San Francisco server for best results.

Was this article helpful?
2 out of 3 found this helpful
Have more questions? Submit a request Follow

Comments